## org.h2.compress
Class LZFInputStream

    java.lang.Object
      java.io.InputStream
          org.h2.compress.LZFInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class LZFInputStream

extends java.io.InputStream

An input stream to read from an LZF stream. The data is automatically expanded.

Constructor Summary
`LZFInputStream(java.io.InputStream in)`

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LZFInputStream

    public LZFInputStream(java.io.InputStream in)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`